#!/bin/sh

# get directory of this script
dir=$(dirname $0)
if [ "${0:0:1}x" != "/x" ] ; then # if not absolute then prepend current working directory
    dir=$(pwd)/$dir
fi
    
# For libraries that are loaded via c's dlopen (man 3 dlopen) because they are mentioned in the .so-files.
export LD_LIBRARY_PATH=$dir

# echo -e "\nLoading shared objects (libraries). . .\n"

./cube-modeller --noinform --end-runtime-options $@
